Overview
GET
/ecosystem/ecosystemsecosystemList ecosystems
List ecosystems.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
List
- idstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring
- regionstring
- dedicatedDbConnectionIdstring?
- primaryDomainstring
- createdAtstring
- updatedAtstring
- isDeletedboolean
- isDefaultboolean
- isInfrastructureboolean
- namespaceIdstring?
Example
[
{
"id": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"region": "string",
"dedicatedDbConnectionId": "string",
"primaryDomain": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"isDefault": true,
"isInfrastructure": true,
"namespaceId": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/ecosystems" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/ecosystems", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();